Skip to main content
POST
Request faucet
This action is only available on paper / testnet environments. You can claim once every 24 hours per account.Use the testnet endpoint, https://exchange-api.bulk.trade/api/v1, for the faucet. It is not available through the primary mainnet endpoint.
Faucet requests use the unified POST /order endpoint. Send a transaction with a faucet action in the actions array.

Transaction Envelope

Every request to POST /order has this shape:
For faucet, the action is a single faucet object.

Faucet Action


Request Example


Response

Same OrderResponse format as other actions. Success returns a deposit status:
Failure returns depositFailed:

Before You Start

See the Transaction Signing guide for how to sign your requests.Nonce: Use a unique value (e.g. timestamp in nanoseconds): BigInt(Date.now()) * 1_000_000n

Body

application/json

Transaction with a single faucet action

actions
Faucet (faucet) · object[]
required

Must contain exactly one faucet action

nonce
integer<int64>
required

Unique nonce (e.g. nanoseconds)

account
string
required

Account public key (base58)

signer
string
required

Signer public key (base58)

signature
string
required

Ed25519 signature (base58)

Response

200 - application/json

Faucet deposit result

status
enum<string>
Available options:
ok,
error
response
object